Page MenuHomePhabricator

stream.wikimedia.org - redirect http(s) to docs
Closed, ResolvedPublic

Description

http://stream.wikimedia.org - currently 404
https://stream.wikimedia.org - currently cert error

for good measure redirect them to the docs at

https://wikitech.wikimedia.org/wiki/Stream.wikimedia.org

because people do try to open this in a browser


Version: unspecified
Severity: normal

Details

Reference
bz68528

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:31 AM
bzimport set Reference to bz68528.
bzimport added a subscriber: Unknown Object (MLST).
Dzahn created this task.Jul 24 2014, 7:38 PM
Eloquence added a subscriber: Eloquence.

This seems like a pretty straightforward way to make this service more useful. Pinging @Spage since he's currently working on docs related to RCStream and could identify the ideal URL to redirect to.

Dzahn added a comment.Jul 9 2015, 11:02 PM

or, nowadays, redirect to http://wikistream.wmflabs.org/

or, nicer, have an index page that explains what it is and links to both of these places

Krinkle updated the task description. (Show Details)Jul 9 2015, 11:34 PM
Krinkle set Security to None.
Krinkle removed a subscriber: wikibugs-l-list.
Dzahn added a comment.Jul 9 2015, 11:36 PM

scratch that last comment i guess

use https://wikitech.wikimedia.org/wiki/Stream.wikimedia.org

16:32 < Krinkle> mutante: http://wikistream.wmflabs.org/ is not a replacement of anything, it's a third-party consumer of our stream.
16:32 < Krinkle> it listens to irc.wikimedia.org in fact
16:33 < mutante> Krinkle: oh? i thought it uses http://stream.wikimedia.org/
16:34 < Krinkle> It may eventually migrate to that. But wikistream (the labs tool) uses a library that uses a library that uses irc.wikimedia.org
16:34 < Krinkle> Either way, RCStream is replacement of IRC, not Wikistream.

Dzahn added a subscriber: Krinkle.Jul 9 2015, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 12:38 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 29 2015, 12:38 AM
MZMcBride added a subscriber: MZMcBride.

It'd be neat if the index page for stream.wikimedia.org could pull from a protected wiki page on Meta-Wiki (similar to what we do with the www portals).

Krinkle moved this task from Inbox to Backlog on the Wikimedia-Stream board.Oct 27 2015, 9:09 PM
Krinkle moved this task from Backlog to Next up on the Wikimedia-Stream board.

doesn't look like apache is involved in this - see modules/rcstream/templates/rcstream.nginx.erb in the puppet repo

(of course now I see it was me who added that project in the first place, oops...)

BBlack added a subscriber: BBlack.Apr 24 2016, 4:18 PM

See also https://gerrit.wikimedia.org/r/#/c/284760/ pending patch, from trying to fix the /=>404 issue for HTTPS reasons in T132521 (the basic HTTPS issues themselves are already fixed btw). All it does is rewrite / internally to give the json service status output, as a "better than nothing" fix.

BBlack moved this task from Triage to TLS on the Traffic board.Sep 30 2016, 1:43 PM
BBlack closed this task as Resolved.Jun 26 2017, 10:58 PM
BBlack claimed this task.

This has been working for some time, at least for the HTTPS issue at the root as tasked here! The other part about docs probably isn't relevant anymore, as the service is being replaced.

Krinkle reopened this task as Open.EditedJun 27 2017, 2:50 AM

While the certificate issue has been resolved, and RCStream (at stream.wikimedia.org/rc/) is indeed being deprecated and replaced. stream.wikimedia.org itself is not going to be replaced, RCStream's replacement (EventStreams) is already live and served from the same domain.

The / entry-point over HTTP for GET should still redirect to documentation, e.g. to https://wikitech.wikimedia.org/wiki/Stream.wikimedia.org.